%define opt_path /opt/dell-config-cluster

Summary: Dell | Red Hat HA Cluster configuration utility
Name: dell-config-cluster
Version: 1.0
release: 48.1
License: GPL
ExclusiveOS: Linux
Group: Applications/Dell
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Requires: pygtk2-libglade >= 2.10, python
Obsoletes: dell-se600l
Conflicts: dell-se600l
ExcludeArch: s390 s390x ppc64


%description
The dell-config-cluster utility will assist in deploying small (2-16)
node Dell HA clusters connected to Dell storage.  All Dell specific
components such as DRAC and storage are configured and used for fencing devices
where appropriate. 

%prep
%setup -q

%install
[ ! -d %{buildroot}/%{opt_path} ] && mkdir -p %{buildroot}/%{opt_path}/share
cp dell-config-cluster %{buildroot}/%{opt_path}/
cp dell-config-cluster-demo %{buildroot}/%{opt_path}/
cp dell-config-cluster-gui.py %{buildroot}/%{opt_path}/
cp dell-config-cluster-gui.glade %{buildroot}/%{opt_path}/share/
cp dellConfigCluster.py %{buildroot}/%{opt_path}/share/
cp Dell-Red_Hat-logo.png %{buildroot}/%{opt_path}/share/
cp pexpect.py %{buildroot}/%{opt_path}/share/
[ ! -d %{buildroot}/usr/sbin ] && mkdir -p %{buildroot}/usr/sbin
ln -sf %{opt_path}/dell-config-cluster %{buildroot}/usr/sbin/dell-config-cluster
ln -sf %{opt_path}/dell-config-cluster-demo %{buildroot}/usr/sbin/dell-config-cluster-demo

%clean
[ %{buildroot} = "/" ] && exit 1
rm -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-,root,root)
%dir %{opt_path}
%{opt_path}
/usr/sbin/dell-config-cluster
/usr/sbin/dell-config-cluster-demo
%doc README LICENSE TODO

%changelog
* Wed Sep 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-48
- Fixed error in firewall rule for ccsd
* Wed Sep 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-47
- Added mgmt ip to ricci firewall rules
* Wed Sep 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-46
- Added modprobe for conntrack modules
- Added sync before pvcreate
* Wed Sep 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-45
- Added ip_conntrack_ftp module if ftp chosen
* Wed Sep 12 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-44
- Made changes to firewall ports to allow nfs mounting over udp
- Moved cluster firewall to phase 1 so it works with minimal
* Wed Sep 12 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-43
- Fixed issue where firewall script caused exception if not all apps selected
- Changed firewall cleanup script
* Wed Sep 12 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-42
- Added firewall rules scripts for apps 
* Wed Sep 11 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-41
- Fixed samba/samba-client rpm install on same line
- Added logging to FE by default to /tmp/dell-config-cluster.log
- Fixed syntax error
- Fixed ordering of partition re-creation code
- Firewall fix when no firewall is enabled
- Fixed partprobe to work on all nodes
- Added mpp.conf disabled autoLUNRebalance
* Wed Sep 11 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-40
- Fixed DRAC not configuring when not a fence device
- Added check for shared disk size 5G min
* Wed Sep 11 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-36
- Added sanity checking to partition, lvcreate, and cluster.conf scripts
- Opened up ricci to more than just cluster nodes
* Wed Sep 10 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-35
- Changed lvcreate process into two parts: partition/lvcreate
- Cleaned up some rpm installs to group similar packages
- Added GFS mount error detection
* Wed Sep 10 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-34
- Reordered lvcreate commands for EQLOGIC to address issues
- Added error checking to many commands for lvcreate
* Wed Sep 9 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-33
- Removed lokkit firewall commands
- Fixed where greater than 2 iscsi ifaces would fail
- Added vgscan before clvmd start
- BE: removed reboot for non MD storage in phase1
* Wed Sep 5 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-32
- BE change yum error to FAIL instead of WARN
* Wed Sep 5 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-31
- Changes to webbrowser open
* Wed Sep 5 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-30
- Re-re-removed EqualLogic reboot in phase 2
- Changed clvmd detection to look for clustered volume
* Wed Sep 5 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-29
- Fixed issue with DRAC services starting
- Changed /dev/mpath to /dev/mapper
* Wed Sep 4 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-28
- FE: link changes to external wiki
* Wed Sep 4 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-27
- BE changes to gfs mount option to debug to cause panic on error
- Increased post_fail_delay and post_join_delay
* Wed Sep 4 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-27
- BE fix for pvremove -ff hanging
* Wed Sep 3 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-26
- BE RAC fixed DRAC to start "dataeng" service
- BE fixed typo in ipmi error text
- FE final page changes, some urls didn't have signals
* Wed Sep 2 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-25
- BE RAC error code detection added
- FE changed final summary page, some other ui fixes
* Wed Aug 29 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-24
- FE spacing and wording changes
* Wed Aug 29 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-23
- BE fix for handling multipath device with kpartx
* Wed Aug 27 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-22
- BE fix for detecing partition on mpath device
* Wed Aug 27 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-21
- BE fix for handing mpath device
* Wed Aug 27 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-20
- Added EqualLogic multipath support
* Wed Aug 27 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-19
- Minor text UI display fixes
- BE fix for samba mispelling in conf file
- BE fix to start and chkconfig ipmi services on
* Wed Aug 26 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-18
- Added unique text for all storage configuration types
- Added steps to configure iSCSI target
* Wed Aug 25 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-17
- Added nfs client checking
- Added nfs subdir to export
- Added help url
* Wed Aug 21 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-16
- UI changes to add accessibility options to choices
- BE fixes for http and ftp
- Removed all references to hostnames
- Fixed status/progress bar reporting for phases 2 and 3
* Wed Aug 20 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-15
- Added Dell marketing change requests to some pages
- Fixed some issues on the BE
- Changed ip validation to use nested ifs rather than regex to address
  an issue with the regex
- Added more data auto-filled in for demo mode
- Added lab testing modes
* Wed Aug 18 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-14
- Fixed some BE apps code
- Fixed event handler crash on apps
* Wed Aug 18 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-13
- Fixed issue with rpm upgrade
* Wed Aug 18 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-12
- Fixed some issues with App sanity checking
- Changed logo to be in line with Dell and Red Hat's policies
* Wed Aug 18 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-11
- Fixed bug with Samba apps page
- Added sanity checks on Apps page
* Wed Aug 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-10
- Changed wording of install types to be more clear
- BE fixes for apps
- Bug fixes on FE and BE
* Wed Aug 15 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-9
- Added App functions in BE
- Cleaned up a lot of pages and changed input fields in apps
* Wed Aug 14 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-8
- Fixed issues with BE apps
* Wed Aug 13 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-7
- Fixed issue with IPMI in backend
- Separated cluster/storage/apps into phases
* Wed Aug 13 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-6
- Added validation for mount point
- Various backend fixes backend issues with some variables
* Wed Aug 13 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-5
- Reordered storage functions
- Added validation for many apps fields
- Fixed issues with some rpms not being installed on nodes
* Wed Aug 13 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-4
- Fixed bug with node1 progress boxes expanding
- Addressed issue with url string concatination
- Added discovery status page
- Rearranged many pages for better flow
* Wed Aug 11 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-3
- Fixed various UI bugs
- Split status page into Cluster and Storage pages
* Wed Aug 6 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-2
- Changed progress from pulse to fraction
* Wed Aug 5 2008 Vinny Valdez <vvaldez@redhat.com> 1.0-1
- Initial package release
